apt: debListParser Class Reference

apt 2.7.5 commandline package manager

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
debListParser Class Reference
Inheritance diagram for debListParser:

## Classes
struct | WordList

## Public Member Functions
virtual std::string | Package () APT_OVERRIDE
virtual bool | ArchitectureAll () APT_OVERRIDE
virtual APT::StringView | Architecture () APT_OVERRIDE
virtual APT::StringView | Version () APT_OVERRIDE
virtual bool | NewVersion (pkgCache::VerIterator &Ver) APT_OVERRIDE
virtual std::vector< std::string > | AvailableDescriptionLanguages () APT_OVERRIDE
virtual APT::StringView | Description_md5 () APT_OVERRIDE
virtual uint32_t | VersionHash () APT_OVERRIDE
virtual bool | SameVersion (uint32_t Hash, pkgCache::VerIterator const &Ver) APT_OVERRIDE
virtual bool | UsePackage (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver) APT_OVERRIDE
virtual map_filesize_t | Offset () APT_OVERRIDE
virtual map_filesize_t | Size () APT_OVERRIDE
virtual bool | Step () APT_OVERRIDE
| debListParser (FileFd *File)
Public Member Functions inherited from pkgCacheListParser
virtual bool | CollectFileProvides (pkgCache &, pkgCache::VerIterator &)

## Static Public Member Functions
static APT_PUBLIC unsigned char | GetPrio (std::string Str)
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, std::string &Package, std::string &Ver, unsigned int &Op, bool const &ParseArchFlags=false, bool const &StripMultiArch=true, bool const &ParseRestrictionsList=false, std::string const &Arch="")
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, APT::StringView &Package, APT::StringView &Ver, unsigned int &Op, bool const ParseArchFlags=false, bool StripMultiArch=true, bool const ParseRestrictionsList=false, std::string Arch="")
static APT_PUBLIC const char * | ConvertRelation (const char *I, unsigned int &Op)

## Protected Member Functions
virtual bool | ParseStatus (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver)
bool | ParseDepends (pkgCache::VerIterator &Ver, pkgTagSection::Key Key, unsigned int Type)
bool | ParseProvides (pkgCache::VerIterator &Ver)
APT_HIDDEN unsigned char | ParseMultiArch (bool const showErrors)
Protected Member Functions inherited from pkgCacheListParser
bool | NewGroup (pkgCache::GrpIterator &Grp, APT::StringView Name)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, const char *S, unsigned int Size)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, APT::StringView S)
map_stringitem_t | WriteString (APT::StringView S)
map_stringitem_t | WriteString (const char *S, unsigned int Size)
bool | NewDepends (pkgCache::VerIterator &Ver, APT::StringView Package, APT::StringView Arch, APT::StringView Version, uint8_t const Op, uint8_t const Type)
bool | NewProvides (pkgCache::VerIterator &Ver, APT::StringView PkgName, APT::StringView PkgArch, APT::StringView Version, uint8_t const Flags)
bool | NewProvidesAllArch (pkgCache::VerIterator &Ver, APT::StringView Package, APT::StringView Version, uint8_t const Flags)

## Static Protected Member Functions
static APT_HIDDEN bool | GrabWord (APT::StringView Word, const WordList *List, unsigned char &Out)

## Protected Attributes
pkgTagFile | Tags
pkgTagSection | Section
map_filesize_t | iOffset

## Member Function Documentation

## ◆ Architecture()

APT::StringView Architecture | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ ArchitectureAll()

bool ArchitectureAll | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ AvailableDescriptionLanguages()

std::vector< std::string > AvailableDescriptionLanguages | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ Description_md5()

APT::StringView Description_md5 | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ NewVersion()

bool NewVersion | ( | pkgCache::VerIterator & | Ver | ) |
| virtual

Implements pkgCacheListParser.

## ◆ Offset()

virtual map_filesize_t Offset | ( |  | ) |
| inlinevirtual

Implements pkgCacheListParser.

## ◆ Package()

string Package | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ ParseStatus()

bool ParseStatus | ( | pkgCache::PkgIterator & | Pkg,
|  | pkgCache::VerIterator & | Ver
| ) |  |
| protectedvirtual

Reimplemented in edspListParser.

## ◆ SameVersion()

bool SameVersion | ( | uint32_t | Hash,
|  | pkgCache::VerIterator const & | Ver
| ) |  |
| virtual

compare currently parsed version with given version

Parameters

  Hash | of the currently parsed version
  Ver | to compare with

Reimplemented from pkgCacheListParser.

References pkgCacheListParser::SameVersion().

## ◆ Size()

virtual map_filesize_t Size | ( |  | ) |
| inlinevirtual

Implements pkgCacheListParser.

## ◆ Step()

bool Step | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ UsePackage()

bool UsePackage | ( | pkgCache::PkgIterator & | Pkg,
|  | pkgCache::VerIterator & | Ver
| ) |  |
| virtual

Implements pkgCacheListParser.

## ◆ Version()

APT::StringView Version | ( |  | ) |
| virtual

Implements pkgCacheListParser.

## ◆ VersionHash()

uint32_t VersionHash | ( |  | ) |
| virtual

Implements pkgCacheListParser.

The documentation for this class was generated from the following files:

- apt-pkg/deb/deblistparser.h
- apt-pkg/deb/deblistparser.cc